import Content from './Content';
export default class Curator {
    readonly id: string;
    constructor();
    initialize(config: object): Promise<void>;
    content: Content[];
    addContent(node: Content): void;
    removeContent(node: Content): void;
    get contentByAnchor(): {
        [x: string]: {
            title: string;
            text: string;
        };
    };
}
export declare const curator: Curator;
export declare function useCurator(): Curator;
